Bug 26726 - Improve link text on Transport cost matrix page
Summary: Improve link text on Transport cost matrix page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Tal Rogoff
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2020-10-18 15:51 UTC by Katrin Fischer
Modified: 2020-11-17 20:48 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.06


Attachments
bug 26726: changed the text of the "here" link on the transport cost matrix administration page (1.81 KB, patch)
2020-10-23 23:12 UTC, Alex Buckley
Details | Diff | Splinter Review
bug 26726: changed the text of the "here" link on the transport cost matrix administration page (1.86 KB, patch)
2020-10-23 23:30 UTC, David Nind
Details | Diff | Splinter Review
Bug 26726: changed the text of the "here" link on the transport cost matrix administration page (1.91 KB, patch)
2020-10-24 00:22 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26726: (QA follow-up) Add line break and 'the' for readability (1.64 KB, patch)
2020-10-24 00:22 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-10-18 15:51:20 UTC
When the UseTransportCostMatrix system preference is disabled, the blue box at the top of Administration > Transport cost matrix contains a link labelled "here" that should have a more meaningful link text (see bug 26722)
Comment 1 Alex Buckley 2020-10-23 23:12:44 UTC
Created attachment 112318 [details] [review]
bug 26726: changed the text of the "here" link on the transport cost matrix administration page

test plan:
1.Set the UseTransportCostMatrix system to disabled
2.Go to Administration>Transport cost matrix
3.Blue box at top of the page contains link labelled "here"
4.Apply patch
5.Refresh page
6.Link should now be labelled "UseTransportCostMatrix"
Comment 2 David Nind 2020-10-23 23:30:48 UTC
Created attachment 112329 [details] [review]
bug 26726: changed the text of the "here" link on the transport cost matrix administration page

test plan:
1.Set the UseTransportCostMatrix system to disabled
2.Go to Administration>Transport cost matrix
3.Blue box at top of the page contains link labelled "here"
4.Apply patch
5.Refresh page
6.Link should now be labelled "UseTransportCostMatrix"

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Nick Clemens 2020-10-24 00:22:36 UTC
Created attachment 112338 [details] [review]
Bug 26726: changed the text of the "here" link on the transport cost matrix administration page

test plan:
1.Set the UseTransportCostMatrix system to disabled
2.Go to Administration>Transport cost matrix
3.Blue box at top of the page contains link labelled "here"
4.Apply patch
5.Refresh page
6.Link should now be labelled "UseTransportCostMatrix"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2020-10-24 00:22:45 UTC
Created attachment 112339 [details] [review]
Bug 26726: (QA follow-up) Add line break and 'the' for readability

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Alex Buckley 2020-10-24 01:27:21 UTC
Now Tal has a Bugzilla account I'll set her as the assignee :)
Comment 6 Jonathan Druart 2020-10-25 23:08:55 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-11-16 17:58:37 UTC
patchset does not apply cleanly to 20.05.x, no backport
Comment 8 Aleisha Amohia 2020-11-17 05:07:46 UTC
(In reply to Lucas Gass from comment #7)
> patchset does not apply cleanly to 20.05.x, no backport

Hi Lucas, you have left this in 20.05.x

enhancement, not backported to 19.11.x
Comment 9 Lucas Gass 2020-11-17 14:45:47 UTC
(In reply to Aleisha Amohia from comment #8)
> (In reply to Lucas Gass from comment #7)
> > patchset does not apply cleanly to 20.05.x, no backport
> 
> Hi Lucas, you have left this in 20.05.x
> 
> enhancement, not backported to 19.11.x

Thanks Aleisha! I updated the wrong bug ticket, this one WAS backported to 20.05.x
Comment 10 Lucas Gass 2020-11-17 14:46:12 UTC
backported to 20.05.x for 20.05.06